libnvme(2)

NAME
enum nvme_ns_write_protect_cfg - Write Protection - Write Protection State

SYNOPSIS
enum nvme_ns_write_protect_cfg {
NVME_NS_WP_CFG_NONE ,
NVME_NS_WP_CFG_PROTECT ,
NVME_NS_WP_CFG_PROTECT_POWER_CYCLE ,
NVME_NS_WP_CFG_PROTECT_PERMANENT

};

Constants

NVME_NS_WP_CFG_NONE
    No Write Protect

NVME_NS_WP_CFG_PROTECT
    Write Protect

NVME_NS_WP_CFG_PROTECT_POWER_CYCLE
    Write Protect Until Power Cycle

NVME_NS_WP_CFG_PROTECT_PERMANENT
    Permanent Write Protect